@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:wght@400;500;600;700&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}
body {
    font-family: "Montserrat", sans-serif;
    color: var(--heading-color);
}
:root {
    --grey-color:#9A9A9A;
    --light-grey-color:#d3d3d3;
}
/* Nav-bar */
.nav-container {
    position: sticky;
    width: 100%;
    top: 0;
    z-index: 99;
}
.app-name {
    color: var(--heading-color);
    font-size: 3rem;
    font-family: 'Cormorant Garamond', serif;
}
.app-icon {
    color: var(--primary-color);
    font-size: 4rem;
}
.nav-icon {
    color: var(--text-color);
    font-size: 2.2rem;
}
.nav-icon:hover {
    color: var(--primary-color);
}
.nav-icons{
    padding: 0 3rem ;
    margin-left: auto;
}
.nav-btn {
    margin: 0;
}
.nav-icon-text {
    margin-top: -0.8rem;
}
.nav-icons > div {
    padding: 0 0.8rem;
}
.search-input {
    flex-grow: 1;
}

/* Main Section */
.main {
    position: relative;
    margin-top: 4rem;
}
.header-img {
    height: 40rem;
}
.main-text {
    position: absolute;
    width: 35%;
    margin-top: 6rem;
    margin-left: 4rem;
}
.main-heading {
    font-size: 5rem;
    font-family: 'Cormorant Garamond', serif;
    padding-bottom: 0.6rem;
}
.main-text p {
    padding-bottom:4rem ;
}
.main-btn{
    margin-top: 2rem;
    padding: 1rem 3rem;
    font-size: 1.8rem;
}

/* Best Seller section */
.best-seller-section {
    margin-top: 6rem;
}
.best-seller-text{
    text-align: center;
    padding-bottom: 5rem;
}
.best-seller-cards {
    justify-content: center;
    flex-wrap: wrap;
}
.best-seller-icon {
    margin-left: auto;
}

/* Featured Section */
.featured-text {
    text-align: center;
    margin: 5rem 0;
}
.featured-products >div {
    position: relative;
    margin: 3rem;
}
.featured-img {
    height: 25rem;
    width: 50rem;
    opacity: 0.6;
    border-radius: 5px;
}
.featured-overlay {
    position: absolute;
    top: 2rem;
    left: 3rem;
    color: var(--black-color);
}
.featured-img:hover {
    border: 1px solid var(--box-shadow);
}
.btn-featured {
    margin: 1rem 0;
}

/* Footer */
.footer {
    background-color: var(--primary-color2);
    color: var(--white-color);
    text-align: center;
    padding: 3rem;
    margin-top: 10rem;
}
.footer-icons {
    color: var(--white-color);
    display: inline;
    font-size: 2.4rem;
}
.red-color {
    color: var(--error-color);
}

@media screen and (max-width : 786px) {
    html {
        font-size: 55%;
    }
    .nav-link {
        display: none;
    }
}
@media screen and (max-width : 480px) {
    html {
        font-size: 40%;
    }
    .nav-icon-text {
        display: none;
    }
    .main-text >p {
        display: none;
    }
    .main-text >h4 {
        display: none;
    }
}

